<template>
    <div class="container-char">
        <div class="nb-vote"></div>
        <div v-show="!popupWordIsHidden" class="popup-word">
            <div class="popup-word-title">Mots Précédents</div>
            <div class="old-word">
                <p>
                    <span class="tour-title">T? : </span>
                    <span class="tour-word">Chat</span>
                </p>
            </div>
        </div>
        <div @click="popupWordIsHidden ? popupWordIsHidden = false : popupWordIsHidden = true" class="word-typed">
            <!-- <img class="img-writing" src="{{ asset('assets/images/random/writing.gif') }}" alt=""> -->
            <div>Hello !!</div>
        </div>
        <img class="img-char" alt="img-char" draggable="false" :src="skinPath"/>
        <div class="pseudo">{{ username }}</div>
    </div>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
    data() {
        return {
            popupWordIsHidden: true,
        }
    },
    computed: {
        ...mapGetters([
            'getCurrentSkin'
        ]),
        skinPath() {
            return require('@/assets/images/skins/' + this.skin + '.svg')
        }
    },
    props: ['username', 'skin']
}
</script>

<style scoped>
    .container-char {
        display: flex;
        align-items: center;
        flex-direction: column;
        flex-wrap: wrap;
        text-align: center;
        position: relative;
        width: 170px;
        animation: active-anim 0.8s ease-out;
        animation-fill-mode: forwards;
    }

    .active-player {
        background: radial-gradient(
                ellipse,
                rgb(250 248 255 / 37%) 0%,
                rgb(250 248 255 / 10%) 40%,
                rgb(255 255 255 / 0%) 65%);
    }

    .active-player-small {
        background: radial-gradient(
                circle,
                rgb(250 248 255 / 37%) 0%,
                rgb(250 248 255 / 10%) 29%,
                rgb(255 255 255 / 0%) 50%);
        background-position: 0px 35px;
    }

    .container-char img {
        width: 75%;
        user-select: none;
    }

    .popup-word {
        position: absolute;
        bottom: calc(100% + 30px);
        left: 0;
        height: 200px;
        padding: 16px;
        display: block;
        cursor: pointer;
        background: rgba(31 31 46 / 88%);
        border-radius: 10px;
        color: white;
        text-align: center;
        overflow-Y: auto;
    }

    .popup-word::-webkit-scrollbar-track {
        -webkit-box-shadow: none;
        box-shadow: none;
        border-radius: 10px;
        background-color: transparent;
    }

    .popup-word::-webkit-scrollbar {
        width: 6px;
        background-color: transparent;
    }

    .popup-word::-webkit-scrollbar-thumb {
        border-radius: 10px;
        -webkit-box-shadow: none;
        box-shadow: none;
        height: 100px;
        background-color: #171721;
    }

    .popup-word-title {
        width: 100%;
        text-transform: uppercase;
        font-weight: bold;
        font-size: 15px;
        padding-bottom: 5px;
        border-bottom: solid 2px white;
    }

    .old-word {
        margin-top: 7px;
        width: 100%;
        text-align: left;
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden;
        font-size: 12px;
    }

    .old-word p {
        margin: 0;
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden;
    }

    .old-word span.tour-title {
        font-weight: bold;
        color: #7e5efd;
    }

    .old-word span.tour-word {
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden;
    }

    .word-typed {
        display: flex;
        align-items: center;
        justify-content: center;
        position: relative;
        max-width: 130px;
        border-radius: 5px;
        cursor: pointer;
        background: white;
        padding: 8px 10px;
        text-transform: uppercase;
        font-size: 12px;
        font-weight: bold;
        animation: float 6s ease-in-out infinite;
        color: black;
        min-width: 100px;
        min-height: 24px;
    }

    .word-typed::after {
        content: "";
        width: 10px;
        height: 10px;
        position: absolute;
        top: 100%;
        left: 50%;
        transform: translate(-50%, -50%) rotate(45deg);
        background: white;
    }

    .pseudo {
        color: white;
        text-transform: uppercase;
        font-size: 16px;
        font-weight: bold;
        margin-top: -20px;
        cursor: pointer;
    }

</style>